Bug 81196 - IETC HTML5: verify HTMLDataListElement - instanceof HTMLDataListElement fails.
Summary: IETC HTML5: verify HTMLDataListElement - instanceof HTMLDataListElement fails.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: HTML DOM (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P1 Normal
Assignee: Keishi Hattori
URL:
Keywords:
Depends on:
Blocks: 27247 76198
  Show dependency treegraph
 
Reported: 2012-03-15 00:41 PDT by Deepak Sherveghar
Modified: 2012-04-27 09:55 PDT (History)
7 users (show)

See Also:


Attachments
patch (3.90 KB, patch)
2012-03-15 00:46 PDT, Deepak Sherveghar
webkit.review.bot: commit-queue-
Details | Formatted Diff | Diff
Updated Patch (4.71 KB, patch)
2012-03-15 01:59 PDT, Deepak Sherveghar
tkent: review-
Details | Formatted Diff | Diff
Updated Patch with review comments. (10.09 KB, patch)
2012-03-19 07:16 PDT, Deepak Sherveghar
no flags Details | Formatted Diff | Diff
Updated Patch (10.02 KB, patch)
2012-03-19 07:29 PDT, Deepak Sherveghar
no flags Details | Formatted Diff | Diff
Patch (4.47 KB, patch)
2012-04-27 01:11 PDT, Keishi Hattori
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Deepak Sherveghar 2012-03-15 00:41:05 PDT
IETC HTM5: verify HTMLDatalistElement fails.

http://samples.msdn.microsoft.com/ietestcenter/html5/show_forms_test.htm?datalistelement1

Add HTMLDatalistElement to DOMWindow.idl for consistency.
HTMLDatalistElement Constructor should be available on DOMWindow.
Comment 1 Deepak Sherveghar 2012-03-15 00:46:52 PDT
Created attachment 131999 [details]
patch

patch
Comment 2 WebKit Review Bot 2012-03-15 01:42:46 PDT
Comment on attachment 131999 [details]
patch

Attachment 131999 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/11957499

New failing tests:
fast/forms/datalist_prototype_constructor.html
Comment 3 Deepak Sherveghar 2012-03-15 01:59:09 PDT
Created attachment 132004 [details]
Updated Patch

HTML5 datalist element is not enabled in chromium as its implementation is incomplete.
Hence skipping the test case in chromium.
Comment 4 Kent Tamura 2012-03-15 18:09:08 PDT
Comment on attachment 132004 [details]
Updated Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=132004&action=review

> LayoutTests/ChangeLog:13
> +        * fast/forms/datalist_prototype_constructor-expected.txt: Added.
> +        * fast/forms/datalist_prototype_constructor.html: Added.

We usually use '-' to concatenate words, not '_'.

The test looks a copy of IETC code.  Is the license of the IETC test compatible with WebKit?

You need to update other tests such as LayoutTests/fast/dom/window/window-properties.html.
Comment 5 Kent Tamura 2012-03-15 18:10:44 PDT
Comment on attachment 132004 [details]
Updated Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=132004&action=review

> Source/WebCore/ChangeLog:3
> +        IETC HTM5: verify HTMLDatalistElement. instanceof HTMLDataListElement fails.

HTM5 -> HTML5
HTMLData*l*istElement -> HTMLDataListElement
Comment 6 Adam Barth 2012-03-15 18:23:53 PDT
> The test looks a copy of IETC code.  Is the license of the IETC test compatible with WebKit?

I believe so:

http://samples.msdn.microsoft.com/ietestcenter/support/copyright.htm
Comment 7 Deepak Sherveghar 2012-03-19 07:16:27 PDT
Created attachment 132576 [details]
Updated Patch with review comments.

> HTM5 -> HTML5
> HTMLData*l*istElement -> HTMLDataListElement 
Done.

> You need to update other tests such as LayoutTests/fast/dom/window/window-properties.html.
I added 'HTMLDataListElement' to LayoutTests/fast/dom/Window/resources/window-properties.js.

Following tests needs to be rebaselined:
1. fast/dom/Window/window-properties.html 
2. fast/dom/Window/window-property-descriptors.html.

I have rebaselined it for GTK platform, for rest of the platforms I have added them to test_Expectations.txt/Skipped.

Since the above mentioned tests cover this change, I have removed the Layout test that I had copied earlier from IETC test suite.
Comment 8 Deepak Sherveghar 2012-03-19 07:29:54 PDT
Created attachment 132578 [details]
Updated Patch
Comment 9 Kent Tamura 2012-03-20 18:20:26 PDT
Comment on attachment 132578 [details]
Updated Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=132578&action=review

> LayoutTests/platform/mac/test_expectations.txt:417
> +
> +// Need rebaselining. https://bugs.webkit.org/show_bug.cgi?id=81196
> +BUGWK81196 : fast/dom/Window/window-properties.html = TEXT
> +BUGWK81196 : fast/dom/Window/window-property-descriptors.html = TEXT

You know how the results will change.  I recommend updating *-expected.txt manually rather than skipping the tests.
Comment 10 Kent Tamura 2012-04-19 16:38:10 PDT
Comment on attachment 132578 [details]
Updated Patch

r- because of my comment.  Also, ENABLE_DATALIST was disabled for many ports, and we need no changes of Skipped/test_expectations.txt for such ports.
Comment 11 Eric Seidel 2012-04-19 16:44:30 PDT
Comment on attachment 132578 [details]
Updated Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=132578&action=review

> Source/WebCore/page/DOMWindow.idl:412
> +        attribute HTMLDataListElementConstructor HTMLDataListElement;

Don't we have a [Conditional=DATALIST] idl option that does this these days?
Comment 12 Ryosuke Niwa 2012-04-21 17:59:07 PDT
Comment on attachment 132578 [details]
Updated Patch

cq- given r-.
Comment 13 alexander farkas 2012-04-22 13:42:24 PDT
This issue is more important than just for consistency. Due to the fact, that Safari still reports true on ('list' in document.createElement('input')) and gives a false positive for feature detection. Testing for the global HTMLDataListElement has become the famoust feature detection to distinguish between input[list]/datalist supporting browsers and none supporting browsers. This is also part of Modernizr.

So it is cruical to implement this property as soon as a basic datalist including UI is implemented.

@tkent
Currently Chrome "20.0.1113.0 canary" returns a false negative for datalist. Should I fill an issue in the Chrome bugtracker?
Comment 14 Kent Tamura 2012-04-22 19:13:54 PDT
(In reply to comment #13)
> Currently Chrome "20.0.1113.0 canary" returns a false negative for datalist. Should I fill an issue in the Chrome bugtracker?

No, you don't need to file another issue.
Comment 15 Kent Tamura 2012-04-23 23:05:44 PDT
If Deepak won't update the patch in a few days, someone in my team will take this over.
Comment 16 Deepak Sherveghar 2012-04-25 02:05:12 PDT
Hi Kent,

I am tied up with other things, wont be able to pick this up. Feel free to assign this to your team.
Comment 17 Keishi Hattori 2012-04-27 01:11:22 PDT
Created attachment 139144 [details]
Patch
Comment 18 Kent Tamura 2012-04-27 01:43:57 PDT
Comment on attachment 139144 [details]
Patch

ok
Comment 19 WebKit Review Bot 2012-04-27 09:55:33 PDT
Comment on attachment 139144 [details]
Patch

Clearing flags on attachment: 139144

Committed r115446: <http://trac.webkit.org/changeset/115446>
Comment 20 WebKit Review Bot 2012-04-27 09:55:40 PDT
All reviewed patches have been landed.  Closing bug.